## hickle 4.0.4

=== requirements.txt ===
dill>=0.3.0 # optional will be removed in future
h5py>=2.10.0 
numpy>=1.8,!=1.20

=== debian/changelog ===
hickle (4.0.4-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sat, 20 Aug 2022 16:33:34 +0100

hickle (4.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1016201)

 -- Edward Betts <edward@4angle.com>  Sun, 31 Jul 2022 09:22:54 +0100

=== debian/control ===
Source: hickle
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-astropy,
               python3-h5py,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-scipy,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/telegraphic/hickle
Vcs-Browser: https://salsa.debian.org/python-team/packages/hickle
Vcs-Git: https://salsa.debian.org/python-team/packages/hickle.git

Package: python3-hickle
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: HDF5 based version of pickle
 An HDF5 based clone of 'pickle', with a twist: instead of serializing to a
 pickle file, Hickle dumps to an HDF5 file (Hierarchical Data Format). It is
 designed to be a "drop-in" replacement for pickle (for common data objects),
 but is really an amalgam of 'h5py' and 'pickle' with extended functionality.
 .
 That is: 'hickle' is a neat little way of dumping Python variables to HDF5
 files that can be read in most programming languages, not just Python. Hickle
 is fast, and allows for transparent compression of your data (LZF / GZIP).

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-astropy,
         python3-h5py,
         python3-pandas,
         python3-pytest,
         python3-pytest-cov,
         python3-scipy,
         @

## hickle 5.0.2

=== requirements.txt ===
h5py>=2.10.0 
numpy>=1.8,!=1.20

=== debian/changelog ===
hickle (5.0.2-8) unstable; urgency=medium

  * Skip badly written test that fails with h5py 3.10. (Closes: #1060804).
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Thu, 15 Feb 2024 15:22:06 +0000

hickle (5.0.2-7) unstable; urgency=medium

  * Adjusted patch from Nilesh Patra to make test pass with old and new h5py.

 -- Edward Betts <edward@4angle.com>  Mon, 02 Oct 2023 19:35:34 +0100

hickle (5.0.2-6) unstable; urgency=medium

  * Apply patch from Nilesh Patra to allow unit tests to work with latest
    version of h5py. (Closes: #1053267)

 -- Edward Betts <edward@4angle.com>  Sun, 01 Oct 2023 19:16:58 +0100

hickle (5.0.2-5) unstable; urgency=medium

  * Add python3-h5py dependency to python3-hickle. (Closes: #1030516)
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 05 Feb 2023 11:11:37 +0100

hickle (5.0.2-4) unstable; urgency=medium

  * Patch test to use float() in place of np.float(), which no longer works
    with the latest version of numpy. (Closes: #1027194)
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Fri, 06 Jan 2023 19:41:07 +0000

hickle (5.0.2-3) unstable; urgency=medium

  * Fix test that failed under Python 3.11. (Closes: #1024914)

 -- Edward Betts <edward@4angle.com>  Tue, 06 Dec 2022 06:37:21 +0000

hickle (5.0.2-2) unstable; urgency=medium

  * Skip failing test on s390x to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 08 Sep 2022 12:18:27 +0100

hickle (5.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Sep 2022 08:05:48 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=hickle
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov -k "not test_H5NodeFilterProxy"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf hickle.egg-info/

## hickle 5.0.3

=== debian/changelog ===
hickle (5.0.3-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with NumPy 2.3 (Closes: #1114700)

 -- Timo Röhling <roehling@debian.org>  Thu, 02 Oct 2025 16:14:51 +0200

hickle (5.0.3-2) unstable; urgency=medium

  * Team upload.
  * Support numpy 2.0 (closes: #1094905).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Feb 2025 15:34:02 +0000

hickle (5.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop all Debian patches. Fixes have been merged or implemented upstream.

 -- Edward Betts <edward@4angle.com>  Sun, 31 Mar 2024 17:41:38 +0100

hickle (5.0.2-10) unstable; urgency=medium

  * Team upload.
  * Autopkgtests: skip test_LoaderManager_load_loader as it tries write
    a file next to the installed test.
  * Forwarded all patches upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Mar 2024 10:39:47 +0100

hickle (5.0.2-9) unstable; urgency=medium

  * Team upload.
  * Added patch to fix FTBFS with Pytest version 8. Closes: #1066781
  * d/rules: simplify
  * Autopkgtests: run in temporary directory

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Mar 2024 18:56:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dh-sequence-python3,
                python3-all,
                python3-astropy,
+               python3-dill <!nocheck>,
                python3-h5py,
                python3-pandas,
                python3-pytest <!nocheck>,
@@ -14,14 +15,14 @@
                python3-scipy,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/telegraphic/hickle
 Vcs-Browser: https://salsa.debian.org/python-team/packages/hickle
 Vcs-Git: https://salsa.debian.org/python-team/packages/hickle.git
 
 Package: python3-hickle
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-h5py, ${misc:Depends}, ${python3:Depends}
 Description: HDF5 based version of pickle
  An HDF5 based clone of 'pickle', with a twist: instead of serializing to a
  pickle file, Hickle dumps to an HDF5 file (Hierarchical Data Format). It is

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=hickle
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov -k "not test_H5NodeFilterProxy"
export PYBUILD_AFTER_INSTALL=cp {dir}/conftest.py {destdir}/{install_dir}/hickle/tests/

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hickle-$1\.tar\.gz/ \
  https://github.com/telegraphic/hickle/tags .*/v?(\d\S+)\.tar\.gz
